Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 26 Jul 2014, 11:27
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Für deutschsprachige Anhänger
woof international (Sprachpaket langpack_de-20140408.pet)
Moderators: MU
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 9 [128 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9 Next
Author Message
L18L

Joined: 19 Jun 2010
Posts: 2504
Location: Burghaslach, Germany somewhere also known as "Hosla"

PostPosted: Wed 18 Jul 2012, 14:51    Post subject: woof international (Sprachpaket langpack_de-20120718.pet)
Subject description: Änderungen
 

neu:

pnethood siehe:http://bkhome.org/blog/?viewDetailed=02898
X-ToysGUI siehe: http://www.murga-linux.com/puppy/viewtopic.php?t=63512&start=23

updates:

quicksetup
ffconvert
sfs_load
connectwizard

HOWTO-localize-mozilla.html
Back to top
View user's profile Send private message 
deepsea

Joined: 17 Jan 2009
Posts: 154
Location: Deutschland

PostPosted: Thu 19 Jul 2012, 15:27    Post subject:  

Moin
L18L
Erst einmal ein dickes Danke an dich.

Ich habe dein pet in Saluki ausprobiert,
leider war es dort nicht so erfolgreich bei der Menü Übersetzung.
Der Grund war, dass der Eintrag
Name[de]=.....
vor
Name=...
eingetragen wurde.

Xfce4 findet das nicht so lustig. Embarassed

Mir ist dann auch aufgefallen das nicht alle
.desktop Dateien in der letzten Zeile ein LineFeed haben.

Daher habe ich das Install script geändert.
Es werden alle
Namen[de]=
und
Comment[de]=
am Ende der Datei angehängt.

Jetzt funktioniert es wunderbar in Saluki und Dpup Exprimo 5.X.3.4.2.8


Ps. irgendwer hat im im Prog Frisbee in Saluki "Hide typing" mit "Fellschreiben" überstetzt Rolling Eyes
langpack_de_addon.tar.gz
Description  langpack_de_addon.tar.gz mit
pinstall.sh, applications.in und desktop-directories.in
gz

 Download 
Filename  langpack_de_addon.tar.gz 
Filesize  64.58 KB 
Downloaded  341 Time(s) 
Back to top
View user's profile Send private message 
L18L

Joined: 19 Jun 2010
Posts: 2504
Location: Burghaslach, Germany somewhere also known as "Hosla"

PostPosted: Fri 20 Jul 2012, 14:10    Post subject:  

Moinmoin deepsea,

danke für die Blumen Very Happy

Ich habe mir ein paar Abweichungen von Barrys Konzept erlaubt:

- Übersetzung von Hilfedateien in /usr/share/doc/help/de/

- Übersetzung der Menütexte: mit momanager keine Änderungen möglich und ausserdem zu stressig, 1Minute Warten bei jeder winzigen Textänderung. Deshalb einfach integriert in /usr/share/sss/menu_strings/menu_strings.de

Dort ist xfce natürlich nicht vorgesehen.

Dann schauen wir mal, dass das Sprachpaket nicht nur für

Wary/Racy
Precise
Slacko

passt, sondern auch für Saluki und Dpup Exprimo Idea

Bitte weiter melden, was passt oder nicht passt.
Ich werde dann mal Saluki installieren,

Danke noch einmal
L

------

edit
also: Saluki hat mich nicht vom Hocker gerissen, kein aktuelles woof.
mavrothal wrote:
The way I understand an "official" puppy must use Woof2, so roar-ng is out.
Saluki used originally an old woof and AFAIK Jemimah never "woofyfied" her changes nor published her build system (if it exists as such). So Jemimah's changes are also out.


_____________________

und noch ein edit

aber dpup gefällt mir (und dem Sprachpaket)
dpup.png
 Description   
 Filesize   64.59 KB
 Viewed   722 Time(s)

dpup.png

Back to top
View user's profile Send private message 
Laie

Joined: 20 Jan 2008
Posts: 289
Location: Germany

PostPosted: Mon 30 Jul 2012, 16:10    Post subject:  

Danke!
Ich find's toll. (in Slacko)
Back to top
View user's profile Send private message 
Laie

Joined: 20 Jan 2008
Posts: 289
Location: Germany

PostPosted: Tue 14 Aug 2012, 11:33    Post subject:
Subject description: Bug im Zusammenhang mit CUPS?
 

Ich habe vor Kurzem Slacko 5.3.3.2 bei einer Freundin frugal installiert, das deutsche Sprachpaket hat sich gleich mit eingerichtet. Feine Sache!
Ein Problem habe ich mit der Druckereinrichtung bekommen: Unter der Adresse "localhost:631" hat sich im Browser CUPS 1.3.11 geöffnet.
Wenn ich Slacko 5.3.3.2 von der CD mit der Option "pfix=ram" starte, kommt im Browser bei der Eingabe von "localhost:631" CUPS in der Version 1.4.6.
Das ist merkwürdig, vor allem, weil in der Version 1.3.11 in Deutsch fast alle Buttons eine Fehlermeldung "Unbekannte Operation" raushauen. Question
Back to top
View user's profile Send private message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3955
Location: Kiel,Germany

PostPosted: Tue 14 Aug 2012, 11:44    Post subject:
Subject description: Bug im Zusammenhang mit CUPS?
 

Laie wrote:
Ich habe vor Kurzem Slacko 5.3.3.2 bei einer Freundin frugal installiert, das deutsche Sprachpaket hat sich gleich mit eingerichtet. Feine Sache!
Ein Problem habe ich mit der Druckereinrichtung bekommen: Unter der Adresse "localhost:631" hat sich im Browser CUPS 1.3.11 geöffnet.
Wenn ich Slacko 5.3.3.2 von der CD mit der Option "pfix=ram" starte, kommt im Browser bei der Eingabe von "localhost:631" CUPS in der Version 1.4.6.
Das ist merkwürdig, vor allem, weil in der Version 1.3.11 in Deutsch fast alle Buttons eine Fehlermeldung "Unbekannte Operation" raushauen. Question

LOL

*

War ein update mit im Spiel ?
Back to top
View user's profile Send private message Visit poster's website 
Laie

Joined: 20 Jan 2008
Posts: 289
Location: Germany

PostPosted: Tue 14 Aug 2012, 11:52    Post subject:
Subject description: Bug im Zusammenhang mit CUPS?
 

Karl Godt wrote:

LOL

*

War ein update mit im Spiel ?

Jaja, lach nur ... Smile
Ich habe keine weiteren Anwendungen installiert. Im Seamonkey habe ich einige Links von der Lesezeichen-Toolbar gelöscht, eine Offline_Startseite eingerichtet und das deutsche Sprachpaket installiert.
Ich setz mich bei Gelegenheit mal hin und versuche auf einem anderen Gerät, den Fehler nachzubauen.
Back to top
View user's profile Send private message 
Laie

Joined: 20 Jan 2008
Posts: 289
Location: Germany

PostPosted: Tue 14 Aug 2012, 12:03    Post subject: Re: woof international (Sprachpaket langpack_de-20120605.pet)  

L18L schreibt auf Seite 4 ganz oben:
L18L wrote:
...Mozilla(Seamonkey, Firefox u.a.)-Sprachpakete gibt es hier:
http://ftp.uni-erlangen.de/pub/mozilla.org/

Wenn deutsches Sprachpaket installiert ist, dann kommt auch CUPS auf deutsch.

UFwg (Um Fehlermeldungen wird gebeten) Smile

Liegt da der Hase im Pfeffer?
Back to top
View user's profile Send private message 
L18L

Joined: 19 Jun 2010
Posts: 2504
Location: Burghaslach, Germany somewhere also known as "Hosla"

PostPosted: Tue 14 Aug 2012, 14:26    Post subject:
Subject description: Bug im Zusammenhang mit CUPS?
 

Danke fürs feedback.
Laie wrote:
Ich habe vor Kurzem Slacko 5.3.3.2 bei einer Freundin frugal installiert, das deutsche Sprachpaket hat sich gleich mit eingerichtet. Feine Sache!
Welche Version des Sprachpakets? Aktuell ist 20120718.
Laie wrote:
Ein Problem habe ich mit der Druckereinrichtung bekommen: Unter der Adresse "localhost:631" hat sich im Browser CUPS 1.3.11 geöffnet.
Wenn ich Slacko 5.3.3.2 von der CD mit der Option "pfix=ram" starte, kommt im Browser bei der Eingabe von "localhost:631" CUPS in der Version 1.4.6.
Das ist merkwürdig, vor allem, weil in der Version 1.3.11 in Deutsch fast alle Buttons eine Fehlermeldung "Unbekannte Operation" raushauen. Question

Das sieht so aus, als ob das Sprachpaket eine andere CUPS Version installieren will. Bitte probier die aktuelle Version 20120718.

Das Problem ist CUPS bzw. verschiedene Versionen in Wary/Racy und Slacko. Im Sprachpaket ist nur /usr/share/cups/templates/de/ (für/von 1.3.11) enthalten.

Vielleicht geht es doch nicht : ein Sprachpaket für alle offiziellen Pupppies.
cups.png
 Description   cups 1.3.11 in Racy 5.3
und deutschem seamonkey
 Filesize   36.24 KB
 Viewed   794 Time(s)

cups.png


Last edited by L18L on Tue 14 Aug 2012, 14:58; edited 2 times in total
Back to top
View user's profile Send private message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3955
Location: Kiel,Germany

PostPosted: Tue 14 Aug 2012, 14:37    Post subject:  

Quote:
Vielleicht geht es doch nicht : ein Sprachpaket für alle offiziellen Pupppies.

Tja, aktuell hat BK auf seinem blog geposted, dass es ihm gelungen sei, Cups zu kompilieren - ohne libusb userspace support, aber mit usblp.ko .

http://bkhome.org/blog/?viewDetailed=02943

Mir ist bei Cups Kompilation auch noch nichts vernünftiges gelungen. Cups kompiliert fein und installiert sich, will aber den USB Drucker nicht finden. Ich vermute auch eine libusb-0 libusb-1 libusb-2 Verwirrung/Unverträglichkeit.

Natürlich is vieles möglich durch if else aber für einen einzelnen zu 99% nicht zu schaffen oder zu erwarten.
Back to top
View user's profile Send private message Visit poster's website 
L18L

Joined: 19 Jun 2010
Posts: 2504
Location: Burghaslach, Germany somewhere also known as "Hosla"

PostPosted: Tue 14 Aug 2012, 14:42    Post subject: Re: woof international (Sprachpaket langpack_de-20120605.pet)  

Laie wrote:
L18L schreibt auf Seite 4 ganz oben:
L18L wrote:
...Mozilla(Seamonkey, Firefox u.a.)-Sprachpakete gibt es hier:
http://ftp.uni-erlangen.de/pub/mozilla.org/

Wenn deutsches Sprachpaket installiert ist, dann kommt auch CUPS auf deutsch.

UFwg (Um Fehlermeldungen wird gebeten) Smile

Liegt da der Hase im Pfeffer?


browser-Sprachpaket ist nicht mehr im langpack, weil verschiedene Versionen in offiziellen Puppies sein können. Ein Sprachpaket ist etwas langlebiger als eine Puppy-Version, denke ich.

Deshalb gibt es für Sprachpakete / updates:
file:///usr/share/doc/help/de/HOWTO-localize-mozilla.html
Darauf wird unter
Menü > Konfiguration > CUPS > Drucker hinzufügen
verwiesen.

Schade, dass es bei slacko (noch) nicht funktioniert Crying or Very sad
Danke noch einmal fürs feedback.
Back to top
View user's profile Send private message 
L18L

Joined: 19 Jun 2010
Posts: 2504
Location: Burghaslach, Germany somewhere also known as "Hosla"

PostPosted: Tue 14 Aug 2012, 14:46    Post subject:  

Karl Godt wrote:
Quote:
Vielleicht geht es doch nicht : ein Sprachpaket für alle offiziellen Pupppies.

Tja, aktuell hat BK auf seinem blog geposted, dass es ihm gelungen sei, Cups zu kompilieren - ohne libusb userspace support, aber mit usblp.ko .

http://bkhome.org/blog/?viewDetailed=02943

Mir ist bei Cups Kompilation auch noch nichts vernünftiges gelungen. Cups kompiliert fein und installiert sich, will aber den USB Drucker nicht finden. Ich vermute auch eine libusb-0 libusb-1 libusb-2 Verwirrung/Unverträglichkeit.

Natürlich is vieles möglich durch if else aber für einen einzelnen zu 99% nicht zu schaffen oder zu erwarten.

Danke für den Hinweis.
-----
edit
Meinen Kommentar dort schon gesehen??
-----
Für mich ist schlecht an CUPS, dass die Version im Sprachtemplate nicht ersichtlich ist.

MAn könnte sonst die templates für mehrere Versionen ins Sprachpaket nehmen und nur die jeweils vorhandene installieren.
Back to top
View user's profile Send private message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3955
Location: Kiel,Germany

PostPosted: Tue 14 Aug 2012, 21:23    Post subject:  

Quote:
Für mich ist schlecht an CUPS, dass die Version im Sprachtemplate nicht ersichtlich ist.

I hab Woof 2-4x heruntergeladen und die GUI 2-3x gestartet und dann aus chronischer Verwirrung abgebrochen.

Die devx sollte eine /usr/bin/cups-config Datei haben. Die ist soweit meine Erfahrung erzählen kann ein script, in der die cups version als String beigefügt ist, die aktuelle Cups-Version also nicht aus irgendwelchen cups Binär-Dateien ausliest. Ein Durcheinander hier würde eventuel dann einen Versions Terminus echoen , der nicht übereinstimmt. Mein momentaner cupsd hat noch nicht einmal eine -v oder --version Option . Die Dateien in /usr/lib/cups/cgi-bin sind ja jene, die im Browser auftauchen und|oder jene in /usr/share/cups/templates soweit ich es überblicken kann.

grep '1\.1\.23' /usr/lib/cups/*/*

gibt mir nur ein
Binary file /usr/lib/cups/cgi-bin/admin.cgi matches
Back to top
View user's profile Send private message Visit poster's website 
L18L

Joined: 19 Jun 2010
Posts: 2504
Location: Burghaslach, Germany somewhere also known as "Hosla"

PostPosted: Wed 15 Aug 2012, 04:19    Post subject: cups
Subject description: version
 

Karl Godt wrote:
Die devx sollte eine /usr/bin/cups-config Datei haben. Die ist soweit meine Erfahrung erzählen kann ein script, in der die cups version als String beigefügt ist, die aktuelle Cups-Version also nicht aus irgendwelchen cups Binär-Dateien ausliest.

Danke, habe das gerade nachvollzogen, auf Racy5.3 (devx loaded)

cups-config ist im iso (/initrd/pup_ro2/) also immer verfügbar!

Code:
# file /initrd/pup_ro2/usr/bin/cups-config
/initrd/pup_ro2/usr/bin/cups-config: POSIX shell script text executable
# ls -l /initrd/pup_ro2/usr/bin/cups-config
-rwxr-xr-x 1 root root 3114 2011-09-08 04:58 /initrd/pup_ro2/usr/bin/cups-config
# cups-config --version
1.3.11
#


Mehrere Versionen im langpack sollte also ungefähr so gehen:
templates aller versionen in /tmp/cups/version
Code:
VERSION=`cups-config --version`
cp -a /tmp/cups/$VERSION /usr/share/cups........
Back to top
View user's profile Send private message 
L18L

Joined: 19 Jun 2010
Posts: 2504
Location: Burghaslach, Germany somewhere also known as "Hosla"

PostPosted: Wed 15 Aug 2012, 04:44    Post subject: cups versionen
Subject description: Bug im Zusammenhang mit CUPS?
 

Laie wrote:
...kommt im Browser bei der Eingabe von "localhost:631" CUPS in der Version 1.4.6.
Das ist merkwürdig, vor allem...

auch, weil 1.4.6 nicht in http://www.cups.org/software.php gelistet ist.
----
edit
Ich baue mal was zusammen aus 1.3.11 und 1.4.8 und 1.5.4
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 9 [128 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Für deutschsprachige Anhänger
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1093s ][ Queries: 12 (0.0130s) ][ GZIP on ]